use std::fs::read_to_string;

use markov::Chain;

fn main() {
    let bottom_text = read_lines("bottom-text.txt");
    let mut chain: Chain<String> = Chain::new();
    for text in bottom_text {
        chain.feed_str(&text);
    }
    for x in 0..10 {
        println!("Generation {x}: {}", chain.str_iter().take(3).collect::<String>());
        
    }
}

fn read_lines(filename: &str) -> Vec<String> {
    let mut result = Vec::new();

    for line in read_to_string(filename).unwrap().lines() {
        result.push(line.to_string())
    }

    result
}